Permalink
Browse files

Regenerate gemspec for version 0.1.2

  • Loading branch information...
pwnall committed Jan 13, 2012
1 parent 6c68c7c commit 1f16933ab836cf420df8e8c942a6a25d1674bb8a
Showing with 20 additions and 26 deletions.
  1. +20 −26 x_do.gemspec
View
@@ -4,14 +4,14 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{x_do}
- s.version = "0.1.1"
+ s.name = "x_do"
+ s.version = "0.1.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Victor Costan"]
- s.date = %q{2011-04-22}
- s.description = %q{Wraps libxdo using ffi, for high performance}
- s.email = %q{victor@costan.us}
+ s.date = "2012-01-13"
+ s.description = "Wraps libxdo using ffi, for high performance"
+ s.email = "victor@costan.us"
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
@@ -45,29 +45,21 @@ Gem::Specification.new do |s|
"tasks/ffi_codegen.rb",
"x_do.gemspec"
]
- s.homepage = %q{http://github.com/pwnall/x_do}
+ s.homepage = "http://github.com/pwnall/x_do"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.7.2}
- s.summary = %q{Ruby FFI for libxdo (X mouse / keypress injector)}
- s.test_files = [
- "spec/spec_helper.rb",
- "spec/support/stdlib.rb",
- "spec/x_do/context_spec.rb",
- "spec/x_do/ffi_lib_ext_spec.rb",
- "spec/x_do/keyboard_spec.rb",
- "spec/x_do/mouse_spec.rb",
- "spec/x_do/window_spec.rb"
- ]
+ s.rubygems_version = "1.8.15"
+ s.summary = "Ruby FFI for libxdo (X mouse / keypress injector)"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<ffi>, [">= 1.0.0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_development_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_development_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_development_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_development_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_runtime_dependency(%q<ffi>, [">= 1.0.0"])
s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
@@ -76,9 +68,10 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<rcov>, [">= 0"])
else
s.add_dependency(%q<ffi>, [">= 1.0.0"])
- s.add_dependency(%q<rspec>, ["~> 2.5.0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<ffi>, [">= 1.0.0"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
@@ -88,9 +81,10 @@ Gem::Specification.new do |s|
end
else
s.add_dependency(%q<ffi>, [">= 1.0.0"])
- s.add_dependency(%q<rspec>, ["~> 2.5.0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<ffi>, [">= 1.0.0"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])

0 comments on commit 1f16933

Please sign in to comment.